summaryrefslogtreecommitdiff
path: root/distro
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-12-01 22:29:22 -0300
committerPerberos <[email protected]>2011-12-01 22:29:22 -0300
commit17e291fd05d66fe232e2f409d54331c495b2fbd0 (patch)
treed3f9b3bc149dedc9d192317e930d438c5e9ba21a /distro
downloadmate-menus-17e291fd05d66fe232e2f409d54331c495b2fbd0.tar.bz2
mate-menus-17e291fd05d66fe232e2f409d54331c495b2fbd0.tar.xz
moving from https://github.com/perberos/mate-desktop-environment
Diffstat (limited to 'distro')
-rw-r--r--distro/archlinux/PKGBUILD29
-rw-r--r--distro/archlinux/menus.patch25
-rwxr-xr-xdistro/ubuntu/build27
3 files changed, 81 insertions, 0 deletions
diff --git a/distro/archlinux/PKGBUILD b/distro/archlinux/PKGBUILD
new file mode 100644
index 0000000..56ff5ff
--- /dev/null
+++ b/distro/archlinux/PKGBUILD
@@ -0,0 +1,29 @@
+pkgname=mate-menus
+pkgver=2011.11.16
+pkgrel=1
+pkgdesc="MATE menu specifications"
+arch=('i686' 'x86_64')
+license=('GPL')
+depends=('glib2' 'python2')
+makedepends=('intltool' 'gobject-introspection')
+options=('!emptydirs' '!libtool')
+source=(http://sourceforge.net/projects/matede/files/${pkgver}/${pkgname}.tar.gz/download)
+sha256sums=('c9ab6dec9b0157bbd3cd7618839fbbf30d6ddcee231c14e46cd267c2b56601d4')
+url="http://matsusoft.com.ar/projects"
+groups=('mate')
+
+build() {
+ cd "${srcdir}/${pkgname}"
+ PYTHON=/usr/bin/python2 ./autogen.sh \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-python \
+ --disable-static || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}"
+ make DESTDIR="${pkgdir}" install || return 1
+}
diff --git a/distro/archlinux/menus.patch b/distro/archlinux/menus.patch
new file mode 100644
index 0000000..413d33c
--- /dev/null
+++ b/distro/archlinux/menus.patch
@@ -0,0 +1,25 @@
+--- layout/applications.menu 2005-06-28 10:16:39.000000000 +0200
++++ layout/applications.menu 2005-09-12 23:21:20.000000000 +0200
[email protected]@ -7,7 +7,6 @@
+ <Directory>Applications.directory</Directory>
+
+ <!-- Scan legacy dirs first, as later items take priority -->
+- <KDELegacyDirs/>
+ <LegacyDir>/etc/X11/applnk</LegacyDir>
+ <LegacyDir>/usr/share/mate/apps</LegacyDir>
+
[email protected]@ -18,6 +17,14 @@
+ <!-- Read in overrides and child menus from applications-merged/ -->
+ <DefaultMergeDirs/>
+
++ <!-- Archlinux submenu -->
++ <Menu>
++ <Name>Archlinux</Name>
++ <Directory>Archlinux.directory</Directory>
++ <Include>
++ <Category>Archlinux</Category>
++ </Include>
++ </Menu> <!-- End Archlinux -->
+ <!-- Accessories submenu -->
+ <Menu>
+ <Name>Accessories</Name>
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 0000000..4f14709
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-menus
+pkgver=2011.10.29
+pkgrel=1
+pkgdesc="MATE menu specifications"
+#depends="glib2, python2"
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ #patch -Np0 -i "$srcdir/menus.patch"
+
+ ./configure \
+ --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static
+ make
+ make DESTDIR="${pkgdir}" install
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh